zenilib: TVersionGLSL Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Protected Member Functions | List of all members
TVersionGLSL Class Reference

`#include <VersionGLSL.h>`

Inherits TIntermTraverser.

## Public Member Functions

| TVersionGLSL (ShShaderType type)
int | getVersion ()
virtual bool | visitAggregate (Visit, TIntermAggregate *)
virtual bool | visitBinary (Visit, TIntermBinary *)
virtual bool | visitBranch (Visit, TIntermBranch *)
virtual void | visitConstantUnion (TIntermConstantUnion *)
virtual bool | visitLoop (Visit, TIntermLoop *)
virtual bool | visitSelection (Visit, TIntermSelection *)
virtual void | visitSymbol (TIntermSymbol *)
virtual bool | visitUnary (Visit, TIntermUnary *)
Public Member Functions inherited from TIntermTraverser
| TIntermTraverser (bool preVisit=true, bool inVisit=false, bool postVisit=false, bool rightToLeft=false)
virtual | ~TIntermTraverser ()
void | decrementDepth ()
int | getMaxDepth () const
void | incrementDepth ()
| POOL_ALLOCATOR_NEW_DELETE ()

## Protected Member Functions

void | updateVersion (int version)

## Additional Inherited Members

Static Public Member Functions inherited from TIntermTraverser
static TString | hash (const TString &name, ShHashFunction64 hashFunction)
Public Attributes inherited from TIntermTraverser
const bool | inVisit
const bool | postVisit
const bool | preVisit
const bool | rightToLeft
Protected Attributes inherited from TIntermTraverser
int | depth
int | maxDepth

## Detailed Description

Definition at line 27 of file VersionGLSL.h.

## Constructor & Destructor Documentation

TVersionGLSL::TVersionGLSL | ( | ShShaderType | type | ) |

Definition at line 38 of file VersionGLSL.cpp.

## Member Function Documentation

int TVersionGLSL::getVersion | ( |  | ) |

inline

Definition at line 37 of file VersionGLSL.h.

Referenced by writeVersion().

void TVersionGLSL::updateVersion | ( | int | version | ) |

protected

Definition at line 136 of file VersionGLSL.cpp.

References max.

Referenced by visitAggregate(), and visitSymbol().

bool TVersionGLSL::visitAggregate | ( | Visit | ,
|  | TIntermAggregate * | node
| ) |  |

virtual

Reimplemented from TIntermTraverser.

Definition at line 69 of file VersionGLSL.cpp.

References EOpConstructMat2, EOpConstructMat3, EOpConstructMat4, EOpDeclaration, EOpParameters, EOpSequence, EvqInOut, EvqInvariantVaryingIn, EvqInvariantVaryingOut, EvqOut, TIntermTyped::getAsTyped(), TIntermOperator::getOp(), TIntermTyped::getQualifier(), TIntermAggregate::getSequence(), GLSL_VERSION_120, TIntermTyped::isArray(), TIntermTyped::isMatrix(), and updateVersion().

bool TVersionGLSL::visitBinary | ( | Visit | ,
|  | TIntermBinary * |
| ) |  |

virtual

Reimplemented from TIntermTraverser.

Definition at line 54 of file VersionGLSL.cpp.

bool TVersionGLSL::visitBranch | ( | Visit | ,
|  | TIntermBranch * |
| ) |  |

virtual

Reimplemented from TIntermTraverser.

Definition at line 131 of file VersionGLSL.cpp.

void TVersionGLSL::visitConstantUnion | ( | TIntermConstantUnion * |  | ) |

virtual

Reimplemented from TIntermTraverser.

Definition at line 50 of file VersionGLSL.cpp.

bool TVersionGLSL::visitLoop | ( | Visit | ,
|  | TIntermLoop * |
| ) |  |

virtual

Reimplemented from TIntermTraverser.

Definition at line 126 of file VersionGLSL.cpp.

bool TVersionGLSL::visitSelection | ( | Visit | ,
|  | TIntermSelection * |
| ) |  |

virtual

Reimplemented from TIntermTraverser.

Definition at line 64 of file VersionGLSL.cpp.

void TVersionGLSL::visitSymbol | ( | TIntermSymbol * | node | ) |

virtual

Reimplemented from TIntermTraverser.

Definition at line 44 of file VersionGLSL.cpp.

References TIntermSymbol::getSymbol(), GLSL_VERSION_120, and updateVersion().

bool TVersionGLSL::visitUnary | ( | Visit | ,
|  | TIntermUnary * |
| ) |  |

virtual

Reimplemented from TIntermTraverser.

Definition at line 59 of file VersionGLSL.cpp.

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/VersionGLSL.h
- zenilib/jni/external/angle/src/compiler/VersionGLSL.cpp